Subject: RE: [MMUSIC] SDP description for HTTP/RTSP streams

From: [email-masked]
Date: Fri, 26 Nov 2004 12:41:15 +0200

An HTTP/TCP protocol ID would be useful for this (although this is clearly an evil thing that you are doing, suggesting this in AVT might get you burnt at the stake :)

(I haven't yet worked out the process for registering the much more angelical FLUTE/UDP protocol ID but I am told it is straightforward - so I live in blissful and unhelpful ignorance for now)

Otherwise I guess SDP already has all you need. It's worth taking a look at the mandatory fields to see which are helpful (e.g. do you want to time bound or is the tear-down of the TCP enough), as well as the multitude of options (e.g. do you expect to specify the bandwidth in detail, any capabilities requirements need making explicit?).

If your use case if "first try RTP/UDP" and then "something/TCP" you might be using a similar "alternative media" semantic to ANAT. ANAT provides a way to swap to an alternative IP addressing media (e.g. one media using v4 and one using v6). Might be worth a look (and sorry if it turns out to be a wild goose chase).

Cheers, Rod.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Nicholas Humfrey
> Sent: Tuesday, November 23, 2004 8:28 PM
> To: [email-masked]
> Subject: [MMUSIC] SDP description for HTTP/RTSP streams
> 
> 
> 
> Hi,
> 
> 
> I have been trawling the web to see if there is an official way to 
> describe a RTSP/HTTP (URI) stream using SDP.
> 
> I have seen some SDP descriptions that put 'http' into the transport 
> in m=, the server in c=, and the path as an attribute.
> 
> 
> Has there been any Internet draft to standardize this ?
> 
> 
> I have mixed feelings about it - half of me thinks it is 'wrong' and 
> there are better ways of describing these types of (evil ;-) 
> shoutcast/icecast streams as URIs (M3U, PLS).
> 
> But the other half of me thinks it would be nice to be able to 
> describe all types of media streams using SDP and announce them over 
> SAP. And store them in a common format in directories of streams.
> 
> 
> 
> nick.
> 
> 
> 
> PS. Advertisement for my two perl modules:
> 
> http://search.cpan.org/~njh/Net-SAP/
> http://search.cpan.org/~njh/Net-SDP/
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic